import { ModuleWithProviders, OpaqueToken } from '@angular/core';
import { FontPickerConfig, FontPickerConfigInterface } from './interfaces';
export declare const FONT_PICKER_CONFIG: OpaqueToken;
export declare class FontPickerModule {
    constructor(parentModule: FontPickerModule);
    static forRoot(config: FontPickerConfigInterface): ModuleWithProviders;
}
export declare function provideFontPickerConfig(configInterface?: FontPickerConfigInterface): FontPickerConfig;
